%{?mingw_package_header}

# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           mingw-goocanvas2
Version:        2.0.4
Release:        %mkrel 6
Summary:        MinGW Windows canvas library for GTK+

License:        LGPLv2+
Group:          Development/Other
URL:            https://wiki.gnome.org/GooCanvas
Source0:        https://download.gnome.org/sources/goocanvas/%{release_version}/goocanvas-%{version}.tar.xz
# Fix initialization from incompatible pointer type
Patch0:         goocanvas-incompat-pointer-type.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-gtk3
BuildRequires:  mingw64-gtk3
# Native one for msgfmt
BuildRequires:  gettext
# Native one for glib-genmarshal and glib-mkenums
BuildRequires:  pkgconfig(glib-2.0)

%description
GooCanvas is a canvas widget for GTK+ that uses the cairo 2D library for
drawing.

This package contains the MinGW Windows cross compiled GooCanvas 2.0 library.


%package -n mingw32-goocanvas2
Summary:        MinGW Windows canvas library for GTK+

%description -n mingw32-goocanvas2
GooCanvas is a canvas widget for GTK+ that uses the cairo 2D library for
drawing.

This package contains the MinGW Windows cross compiled GooCanvas 2.0 library.


%package -n mingw64-goocanvas2
Summary:        MinGW Windows canvas library for GTK+

%description -n mingw64-goocanvas2
GooCanvas is a canvas widget for GTK+ that uses the cairo 2D library for
drawing.

This package contains the MinGW Windows cross compiled GooCanvas 2.0 library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n goocanvas-%{version}


%build
export lt_cv_deplibs_check_method="pass_all"
%mingw_configure \
  --disable-static \
  --enable-python=no

%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT

# Remove .la files
rm $RPM_BUILD_ROOT%{mingw32_libdir}/*.la
rm $RPM_BUILD_ROOT%{mingw64_libdir}/*.la

# Remove documentation which duplicates Fedora native
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/gtk-doc
rm -rf $RPM_BUILD_ROOT%{mingw64_datadir}/gtk-doc

%mingw_find_lang goocanvas2


%files -n mingw32-goocanvas2 -f mingw32-goocanvas2.lang
%doc COPYING
%{mingw32_bindir}/libgoocanvas-2.0-9.dll
%{mingw32_includedir}/goocanvas-2.0/
%{mingw32_libdir}/libgoocanvas-2.0.dll.a
%{mingw32_libdir}/pkgconfig/goocanvas-2.0.pc

%files -n mingw64-goocanvas2 -f mingw64-goocanvas2.lang
%doc COPYING
%{mingw64_bindir}/libgoocanvas-2.0-9.dll
%{mingw64_includedir}/goocanvas-2.0/
%{mingw64_libdir}/libgoocanvas-2.0.dll.a
%{mingw64_libdir}/pkgconfig/goocanvas-2.0.pc




%changelog
* Wed Dec 25 2024 daviddavid <daviddavid> 2.0.4-6.mga10
+ Revision: 2129927
- Add goocanvas-incompat-pointer-type.patch

* Mon Mar 21 2022 umeabot <umeabot> 2.0.4-5.mga9
+ Revision: 1811909
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 2.0.4-4.mga8
+ Revision: 1530587
- Mageia 8 Mass Rebuild

* Tue Sep 03 2019 daviddavid <daviddavid> 2.0.4-3.mga8
+ Revision: 1436658
- remove no more needed BR python2-devel

* Thu Sep 20 2018 umeabot <umeabot> 2.0.4-2.mga7
+ Revision: 1279726
- Mageia 7 Mass Rebuild

* Wed Oct 11 2017 ovitters <ovitters> 2.0.4-1.mga7
+ Revision: 1170872
- new version 2.0.4

* Thu Aug 31 2017 ovitters <ovitters> 2.0.3-1.mga7
+ Revision: 1149912
- new version 2.0.3

* Fri Feb 05 2016 umeabot <umeabot> 2.0.2-5.mga6
+ Revision: 939802
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-4.mga5
+ Revision: 750715
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-3.mga5
+ Revision: 682444
- Mageia 5 Mass Rebuild

* Sat Nov 09 2013 ovitters <ovitters> 2.0.2-2.mga4
+ Revision: 550187
- fix url

* Mon Nov 04 2013 ovitters <ovitters> 2.0.2-1.mga4
+ Revision: 549340
- new version 2.0.2

* Sun Oct 27 2013 neoclust <neoclust> 2.0.1-7.mga4
+ Revision: 547321
- imported package mingw-goocanvas2


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 16 2012 Kalev Lember <kalevlember@gmail.com> - 2.0.1-4
- Build 64 bit Windows binaries

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.0.1-3
- Rebuild against the mingw-w64 toolchain

* Tue Jan 31 2012 Kalev Lember <kalevlember@gmail.com> - 2.0.1-2
- Removed .la files

* Fri Jan 27 2012 Kalev Lember <kalevlember@gmail.com> - 2.0.1-1
- Initial RPM release
